#version 430

layout(points) in;
layout(triangle_strip) out;
layout(max_vertices = 256) out;

uniform vec3 center;
uniform mat4 viewProjectionMatrix;


out vec4 color;

void main()
{

    vec3 Pos = gl_in[0].gl_Position.xyz;

	color = vec4(1,1-(length(Pos)*length(Pos)),0,1-(length(Pos)*length(Pos)));

    Pos.z -= 1;
    gl_Position = viewProjectionMatrix*vec4(Pos+center, 1.0);                                             
    EmitVertex();                                                                   
                                                                                    
    Pos.x += 0.03;                                                        
    gl_Position = viewProjectionMatrix*vec4(Pos+center, 1.0);                                             
    EmitVertex();                               
	
    Pos.y += 0.12;
	Pos.x -= 0.015;  
    gl_Position = viewProjectionMatrix*vec4(Pos+center, 1.0);                                             
    EmitVertex();                                                                   

    EndPrimitive();
}